SEARCH

The How-To Geek Forums Have Migrated to Discourse

How-To Geek Forums / Geek Stuff

IDM cc is incompatible with Firefox 19.0.2

(3 posts)
  • Started 1 year ago by Thebeholder
  • Latest reply from bashir
  • Topic Viewed 5078 times

Thebeholder
Posts: 38

Hi,

I was having IDM cc 7.3.20 compatible with the Firefox version 12. However, I have tried updating Firefox to 19.0.2

I have downloaded 7.3.1

Posted 1 year ago
Top
 
Forz
Posts: 9

The latest version compatible with Firefox 19.0.2 is IDM CC 7.3.38
Download it here (note:I did not upload the file nor do I own it, and I am not responsible for anything that might happen)

Posted 1 year ago
Top
 
bashir
Posts: 1

amazing this works perfectly

Posted 1 year ago
Top
 



Topic Closed

This topic has been closed to new replies.